package com.ruoyi.hezhi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.hezhi.domain.TbCooperatePartner;
import com.ruoyi.hezhi.mapper.TbCooperatePartnerMapper;
import com.ruoyi.hezhi.service.ITbCooperatePartnerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 合作伙伴Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-16
 */
@Service
public class TbCooperatePartnerServiceImpl implements ITbCooperatePartnerService
{
    @Autowired
    private TbCooperatePartnerMapper tbCooperatePartnerMapper;

    /**
     * 查询合作伙伴
     *
     * @param cooperatePartnerId 合作伙伴主键
     * @return 合作伙伴
     */
    @Override
    public TbCooperatePartner selectTbCooperatePartnerByCooperatePartnerId(Long cooperatePartnerId)
    {
        return tbCooperatePartnerMapper.selectTbCooperatePartnerByCooperatePartnerId(cooperatePartnerId);
    }

    /**
     * 查询合作伙伴列表
     *
     * @param tbCooperatePartner 合作伙伴
     * @return 合作伙伴
     */
    @Override
    public List<TbCooperatePartner> selectTbCooperatePartnerList(TbCooperatePartner tbCooperatePartner)
    {
        return tbCooperatePartnerMapper.selectTbCooperatePartnerList(tbCooperatePartner);
    }

    /**
     * 新增合作伙伴
     *
     * @param tbCooperatePartner 合作伙伴
     * @return 结果
     */
    @Override
    public int insertTbCooperatePartner(TbCooperatePartner tbCooperatePartner)
    {
        tbCooperatePartner.setCreateTime(DateUtils.getNowDate());
        return tbCooperatePartnerMapper.insertTbCooperatePartner(tbCooperatePartner);
    }

    /**
     * 修改合作伙伴
     *
     * @param tbCooperatePartner 合作伙伴
     * @return 结果
     */
    @Override
    public int updateTbCooperatePartner(TbCooperatePartner tbCooperatePartner)
    {
        tbCooperatePartner.setUpdateTime(DateUtils.getNowDate());
        return tbCooperatePartnerMapper.updateTbCooperatePartner(tbCooperatePartner);
    }

    /**
     * 批量删除合作伙伴
     *
     * @param cooperatePartnerIds 需要删除的合作伙伴主键
     * @return 结果
     */
    @Override
    public int deleteTbCooperatePartnerByCooperatePartnerIds(Long[] cooperatePartnerIds)
    {
        return tbCooperatePartnerMapper.deleteTbCooperatePartnerByCooperatePartnerIds(cooperatePartnerIds);
    }

    /**
     * 删除合作伙伴信息
     *
     * @param cooperatePartnerId 合作伙伴主键
     * @return 结果
     */
    @Override
    public int deleteTbCooperatePartnerByCooperatePartnerId(Long cooperatePartnerId)
    {
        return tbCooperatePartnerMapper.deleteTbCooperatePartnerByCooperatePartnerId(cooperatePartnerId);
    }

    /**
     * 合作伙伴列表
     *
     * @param params 参数
     * @return 合作伙伴列表
     */
    @Override
    public List<Map<String, Object>> getCooperatePartnerList(Map<String, Object> params) {
        return tbCooperatePartnerMapper.getCooperatePartnerList(params);
    }
}
